<?php
$wp_customize->add_section(
    'peccular_contact_section',
    array(
        'title' => __('Contact', 'peccular-premium' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>27

    ) 
);

$wp_customize->add_setting('peccular_contact_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_contact_nav', array(
       'section' => 'peccular_contact_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_contact_enable', 
                'peccular_rightcontact_maintitle',
                'peccular_leftcontact_maintitle',
                'peccular_contact_head_icon',
                'peccular_contact_subtitle',              
                'peccular_contact_phone1',
                'peccular_contact_addresslabel',
                'peccular_Address1',
                'peccular_contctTime',
                'peccular_Addresslabel1',
                'peccular_Addresslabel2',
                'peccular_contact_email1',
                'peccular_contact_fb',
                'peccular_contact_tw',
                'peccular_contact_instagram',
                'peccular_contact_in',
                'peccular_contact_pinterest',
                'peccular_contact_youtube',
                'peccular_contact_whatsapp',
                'peccular_contact_form_shortcode',
                'peccular_rightcontact_heading',
                'contactForm_BGImage_display',
                'peccular_leftcontact_heading'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(   
                'peccular_contact_section_bg_color',
                'peccular_contact_section_bg_image',
                'peccular_contact_image_opacity',               
                'peccular_contact_box_onload_effects',
                'peccular_contact_head_align',
                'peccular_leftcontact_head_align',
                'peccular_leftcontactcolor_heading',
                'peccular_rightcontactcolor_heading',
                'peccular_contactleft_heading_color',
                'peccular_contactleft_formtext_color',
                'peccular_contactleft_formBG_color',
                'peccular_contactleft_formborder_color',
                'peccular_contactleft_btntext_color',
                'peccular_contactleft_btnbg_color',
                'peccular_contactleft_btnhovtext_color',
                'peccular_contactleft_btnhovbg_color',
                'peccular_contact4BoxBG_boxbg_color1',
                'peccular_contact4BoxBG_boxbg_color2',
                'peccular_secondcontact4BoxBG_boxbg_color1',
                'peccular_secondcontact4BoxBG_boxbg_color2',
                'peccular_thirdcontact4BoxBG_boxbg_color1',
                'peccular_thirdcontact4BoxBG_boxbg_color2',
                'peccular_forthcontact4BoxBG_boxbg_color1',
                'peccular_forthcontact4BoxBG_boxbg_color2',
                'peccular_trnsprntBoxBrdr_heading_color',
                'peccular_contactright_heading_color',
                'peccular_outerBordr_color',
                'peccular_contactleft_icon_color',
                'peccular_iconborder_color',
                'peccular_iconBg_color',
                'peccular_icon_text_color',
                'peccular_contactright_linkhover_color',

            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_contact_padding',
                'peccular_contactl_section_t_padding',
                'peccular_contactl_section_b_padding',                
                'peccular_contact_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_contact_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_contact_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_contact_section'
)));


// left side

    $wp_customize->add_setting(
        'peccular_leftcontact_heading',
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_leftcontact_heading',
            array(
                'settings'      => 'peccular_leftcontact_heading',
                'section'       => 'peccular_contact_section',
                'label'         => __( 'Left Contact Side', 'peccular Premium' ),
    ))); 

    $wp_customize->add_setting(
        'peccular_leftcontact_maintitle',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Get In Touch', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_leftcontact_maintitle',
        array(
            'settings'      => 'peccular_leftcontact_maintitle',
            'section'       => 'peccular_contact_section', 
            'type'          => 'text',
            'label'         => __( 'Left Section Heading', 'peccular' )
        )
    );


    $wp_customize->add_setting(
    'peccular_contact_phone1',
    array(
        'sanitize_callback' => 'peccular_sanitize_phone_number',
        'default'           => __( '+000 2346 456', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_phone1',
    array(
        'settings'      => 'peccular_contact_phone1',
        'section'       => 'peccular_contact_section', 
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'peccular' )
    )
);


$wp_customize->add_setting(
    'peccular_contact_email1',
    array(
        'sanitize_callback' => 'sanitize_email',
        'default'           => __( 'info@yourmail.com', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contact_email1',
    array(
        'settings'      => 'peccular_contact_email1',
        'section'       => 'peccular_contact_section', 
        'type'          => 'text',
        'label'         => __( 'Email', 'peccular' )
    )
);


$wp_customize->add_setting(
    'peccular_Address1',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( '1031 30th StSacramento California United States', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_Address1',
    array(
        'settings'      => 'peccular_Address1',
        'section'       => 'peccular_contact_section', 
        'type'          => 'textarea',
        'label'         => __( 'Address', 'peccular' )
    )
);

 $wp_customize->add_setting(
        'peccular_contctTime',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( '11.00 AM - 5.00PM', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_contctTime',
        array(
            'settings'      => 'peccular_contctTime',
            'section'       => 'peccular_contact_section', 
            'type'          => 'text',
            'label'         => __( 'Time', 'peccular' )
        )
    );




// Right side   
    $wp_customize->add_setting(
            'peccular_rightcontact_heading',
            array(
                'sanitize_callback' => 'peccular_sanitize_text'
            )
        ); 
    $wp_customize->add_control(
            new peccular_Customize_Heading(
                $wp_customize,
                'peccular_rightcontact_heading',
                array(
                    'settings'      => 'peccular_rightcontact_heading',
                    'section'       => 'peccular_contact_section',
                    'label'         => __( 'Right Contact Side', 'peccular Premium' ),
    ))); 

    $wp_customize->add_setting( 'contactForm_BGImage_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'contactForm_BGImage_display', array( 'label' => 'Form Background Images Display', 'section' => 'peccular_contact_section', 'settings' => 'contactForm_BGImage_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Image', 'hide' => 'Hide Image', ), ) ); 

    $wp_customize->add_setting(
        'peccular_rightcontact_maintitle',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Contact Us', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_rightcontact_maintitle',
        array(
            'settings'      => 'peccular_rightcontact_maintitle',
            'section'       => 'peccular_contact_section', 
            'type'          => 'text',
            'label'         => __( 'Right Section Heading', 'peccular' )
        )
    );


    $wp_customize->add_setting(
        'peccular_contact_form_shortcode',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
            'default'           => __( 'Add form shortcode here', 'peccular' )
        )
    );
    $wp_customize->add_control(
        'peccular_contact_form_shortcode',
        array(
            'settings'      => 'peccular_contact_form_shortcode',
            'section'       => 'peccular_contact_section', 
            'type'          => 'text',
            'label'         => __( 'Form Shortcode ', 'peccular' )
        )
    );


    $wp_customize->add_setting('peccular_contact_padding',array(
      'sanitize_callback'   => 'esc_html'
    ));
    $wp_customize->add_control('peccular_contact_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_contact_section'
    ));

    $wp_customize->add_setting('peccular_contactl_section_t_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_contactl_section_t_padding',array(
        'type' => 'number',
        'label' => __('Top','peccular'),
        'section' => 'peccular_contact_section',
    ));

    $wp_customize->add_setting('peccular_contactl_section_b_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_contactl_section_b_padding',array(
        'type' => 'number',
        'label' => __('Bottom','peccular'),
        'section' => 'peccular_contact_section',
    ));

    $wp_customize->add_setting( 'peccular_contact_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_contact_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_contact_section',
    )));


    $wp_customize->add_setting( 'peccular_contact_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_contact_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_contact_section',
    )));


    $wp_customize->add_setting('peccular_contact_image_opacity',array(
        'default' => 0.8,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_contact_image_opacity',array(
        'label' => __('Background Opacity','peccular'),
        'section' => 'peccular_contact_section',
        'input_attrs' => array(
                'min' => 0,
                'max' => 1,
                'step' => 0.1,
        ),
    )));

    $wp_customize->add_setting('peccular_contact_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contact_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_contact_section',
    ));

    // $wp_customize->add_setting('peccular_contact_head_align',array(
    //     'default' => 'Left',
    //     'sanitize_callback' => 'peccular_sanitize_choices',
    // ));
    // $wp_customize->add_control('peccular_contact_head_align',array(
    //     'type' => 'select',
    //     'label' => __('Right Section Heading Alignment','peccular'),
    //     'choices' => array (
    //         'Center' => __('Center','peccular'),
    //         'Left' => __('Left','peccular'),
    //         'Right' => __('Right','peccular')
    //     ),
    //     'section' => 'peccular_contact_section',
    // ));

    // $wp_customize->add_setting('peccular_leftcontact_head_align',array(
    //     'default' => 'Center',
    //     'sanitize_callback' => 'peccular_sanitize_choices',
    // ));
    // $wp_customize->add_control('peccular_leftcontact_head_align',array(
    //     'type' => 'select',
    //     'label' => __('Left Section Heading Alignment','peccular'),
    //     'choices' => array (
    //         'Center' => __('Left','peccular'),
    //         'Left' => __('Center','peccular'),
    //         'Right' => __('Right','peccular')
    //     ),
    //     'section' => 'peccular_contact_section',
    // ));

    $wp_customize->add_setting('peccular_contact_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contact_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_contact_section',
    ));

    $wp_customize->add_setting(
        'peccular_leftcontactcolor_heading',
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_leftcontactcolor_heading',
            array(
                'settings'      => 'peccular_leftcontactcolor_heading',
                'section'       => 'peccular_contact_section',
                'label'         => __( 'Left Side Color', 'peccular Premium' ),
    ))); 


addColorPalatOption($wp_customize, 'peccular_contactleft_heading_color', 'peccular_contact_section', 'Heading Color', '');

addColorPalatOption($wp_customize, 'peccular_contact4BoxBG_boxbg_color1', 'peccular_contact_section', 'Box 1 BG Color', ''); 
addColorPalatOption($wp_customize, 'peccular_contact4BoxBG_boxbg_color2', 'peccular_contact_section', 'Box 1 BG Color', ''); 

addColorPalatOption($wp_customize, 'peccular_secondcontact4BoxBG_boxbg_color1', 'peccular_contact_section', 'Box 2 BG Color', ''); 
addColorPalatOption($wp_customize, 'peccular_secondcontact4BoxBG_boxbg_color2', 'peccular_contact_section', 'Box 2 BG Color', ''); 


addColorPalatOption($wp_customize, 'peccular_thirdcontact4BoxBG_boxbg_color1', 'peccular_contact_section', 'Box 3 BG Color', ''); 
addColorPalatOption($wp_customize, 'peccular_thirdcontact4BoxBG_boxbg_color2', 'peccular_contact_section', 'Box 3 BG Color', '');

addColorPalatOption($wp_customize, 'peccular_forthcontact4BoxBG_boxbg_color1', 'peccular_contact_section', 'Box 4 BG Color', ''); 
addColorPalatOption($wp_customize, 'peccular_forthcontact4BoxBG_boxbg_color2', 'peccular_contact_section', 'Box 4 BG Color', '');


addColorPalatOption($wp_customize, 'peccular_trnsprntBoxBrdr_heading_color', 'peccular_contact_section', 'Transparent Box Border Color', ''); 
addColorPalatOption($wp_customize, 'peccular_contactleft_icon_color', 'peccular_contact_section', 'Icons Color', '');

addColorPalatOption($wp_customize, 'peccular_iconborder_color', 'peccular_contact_section', 'Icons Border Color', '');
addColorPalatOption($wp_customize, 'peccular_iconBg_color', 'peccular_contact_section', 'Icons BG Color', '');
addColorPalatOption($wp_customize, 'peccular_icon_text_color', 'peccular_contact_section', 'Contact Text Color', '');

addColorPalatOption($wp_customize, 'peccular_contactright_linkhover_color', 'peccular_contact_section', 'Phone/Email Hover Color', '');

     $wp_customize->add_setting(
        'peccular_rightcontactcolor_heading',
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_rightcontactcolor_heading',
            array(
                'settings'      => 'peccular_rightcontactcolor_heading',
                'section'       => 'peccular_contact_section',
                'label'         => __( 'Right Side Color', 'peccular Premium' ),
    ))); 

addColorPalatOption($wp_customize, 'peccular_contactright_heading_color', 'peccular_contact_section', 'Heading Color', ''); 
addColorPalatOption($wp_customize, 'peccular_outerBordr_color', 'peccular_contact_section', 'Outer Border Color', ''); 


addColorPalatOption($wp_customize, 'peccular_contactleft_formtext_color', 'peccular_contact_section', 'Form Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactleft_formBG_color', 'peccular_contact_section', 'Form BG Color', '');

addColorPalatOption($wp_customize, 'peccular_contactleft_formborder_color', 'peccular_contact_section', 'Form Border color', '');
addColorPalatOption($wp_customize, 'peccular_contactleft_btntext_color', 'peccular_contact_section', 'Button Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactleft_btnbg_color', 'peccular_contact_section', 'Button BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactleft_btnhovtext_color', 'peccular_contact_section', 'Button Hover Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactleft_btnhovbg_color', 'peccular_contact_section', 'Button Hover BG Color ', '');
?>